#ifndef _LI_RENDER_DVD_SPIN
#define _LI_RENDER_DVD_SPIN 1
#include "CdTex.hpp"
#include "CdType.hpp"
#include "../Renderer.hpp"

namespace Li::Gui::DvdSpin {
	class RenderDvdSpin {
	public:
		virtual void RenderDVD() {};
		virtual void UpdateTexture(CdType type) {};
		static RenderDvdSpin* CreateDvdSpinner(Renderer* renderer);
		static void DeleteDvdSpinner(RenderDvdSpin* spinner);
	};
}

#endif